
QGIS Application - Bug report #2864

Qgis crashes when new classification value has been added

2010-07-05 09:20 AM - jekhor -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12924

Description

When new value was added to classification list in categorized symbolizer and edited, qgis crashed.

Steps to reproduce:

1) Open attached project.

2) Go to symbology tab of properties dialog for point layer.

3) Click "Add" button.

4) Write any value to "Value" field of new row.

5) Double-click to symbol for this record.

6) Qgis crashes with message:

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 443

Associated revisions

Revision dd6b455d - 2010-07-05 08:37 PM - Jürgen Fischer

fix #2864

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13890 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 37a815ed - 2010-07-05 08:37 PM - Jürgen Fischer

fix #2864

git-svn-id: http://svn.osgeo.org/qgis/trunk@13890 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-07-05 11:37 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:37a815ed (SVN r13891).

2024-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@13890
http://svn.osgeo.org/qgis/trunk@13890


Files

qgis-bug-2864.tar.gz 14.6 KB 2010-07-05 jekhor -

2024-04-27 2/2


